﻿<%@ WebHandler Language="VB" Class="BarcodeGen" %>

Imports System
Imports System.Web

Imports Neodynamic.SDK

Public Class BarcodeGen : Implements IHttpHandler
    
    Public Sub ProcessRequest(ByVal context As HttpContext) Implements IHttpHandler.ProcessRequest
        
        'Get value to encode from querystring
        Dim valueToEncode As String = context.Request("code")
                
        'Create BarcodeBuilder object        
        Dim bc As New BarcodeProfessional
        'Set barcode standard
        bc.Symbology = Symbology.Code128
        'Set value to encode
        bc.Code = valueToEncode

        'Generate barcode        
        context.Response.ContentType = "image/gif"
        context.Response.BinaryWrite(bc.GetBarcodeImage(System.Drawing.Imaging.ImageFormat.Gif))
    End Sub
 
    Public ReadOnly Property IsReusable() As Boolean Implements IHttpHandler.IsReusable
        Get
            Return False
        End Get
    End Property

End Class